従業員基本情報更新
PATCH /staffs/{staff_id}
PATCH
/staffs/{staff_id}
従業員基本情報を部分更新します。
送信されたキーのみ更新し、未送信キーは変更しません。
対象
- プラン
- スタンダード
- プレミアム
- プレミアムプラス
- エンタープライズ
対象ユーザー権限
- 従業員管理編集(全て)
- 従業員管理編集(給与情報除く)
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” staff_id
required
string
従業員ID
Example
1Request Body required
Section titled “Request Body required ”object
staffName
従業員名
string
staffKana
フリガナ(全角カナ)
string
gender
性別
0: 男性1: 女性9: 未選択
string
birthday
生年月日 [YYYY-MM-DD]
string format: date
postCode
郵便番号
string
address
住所
string
phone
電話番号
string
employeeClassificationId
従業員区分ID
string
dashboardType
ログイン直後の画面
0: 従業員トップ1: 管理者トップ
integer
staffCode
社員番号
string
hireDate
入社日 [YYYY-MM-DD]
string format: date
terminationDate
退職日 [YYYY-MM-DD]
string format: date
terminationReason
退職事由
string
roleInEmployeeList
従事する業務の種類
string
career
履歴
string
passCode
出退勤パスコード(半角数字4桁)
string
displaySequence
表示順
integer
memo
備考
string
adminMemo
管理者メモ
string
adminFlag
管理者権限の有無
boolean
foreignerFlag
外国人に該当するかどうか
boolean
stampScreenDisplayFlag
出退勤画面への表示フラグ
boolean
personalWebStampScreenDisplayFlag
個別WEB出退勤画面表示フラグ
boolean
Examples
1項目のみ更新する例
{ "staffName": "スマレジ太郎(更新)"}nullable項目を null / 空文字でクリアする例
{ "terminationDate": null, "memo": ""}Responses
Section titled “ Responses ”更新成功
object
staffId
従業員ID
string
Example
{ "staffId": "1"}- リクエスト形式が不正な場合
- 空更新、または有効更新キーなしの場合
- 定義外の項目を送信した場合(例:
mail,activeFlag)
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Examples
リクエスト形式が不正な場合
{ "type": "about:blank", "title": "Bad Request", "detail": "リクエスト形式が不正です。"}空更新、または有効更新キーなしの場合
{ "type": "about:blank", "title": "Bad Request", "detail": "更新対象の項目を1つ以上指定してください。"}定義外の項目を送信した場合(例: `mail`, `activeFlag`)
{ "type": "about:blank", "title": "Bad Request", "detail": "定義外の項目はこのAPIでは指定できません。(例: mail)"}指定した従業員IDのデータが存在しない場合
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Not Found", "detail": "データが確認できませんでした。従業員ID: 999"}